%define lib_name_orig libalsa
%define lib_name %mklibname alsa 2
%define beta 0
%if %beta
%define fname alsa-lib-%{version}%beta
%else
%define fname alsa-lib-%{version}
%endif

Summary:	Advanced Linux Sound Architecture (ALSA) library
Name:		libalsa2
Version:	1.0.12
%if %beta
Release:	%mkrel 1.%{beta}.2
%else
Release:	%mkrel 2
%endif
Source0:	ftp://ftp.alsa-project.org/pub/lib/%{fname}.tar.bz2

License:	GPL
Epoch:		2
Url:		http://www.alsa-project.org/
BuildRoot:	%_tmppath/%name-%version-root
Group:		Sound
Provides:	alsa-lib, %lib_name_orig = %version
Obsoletes:	alsa-lib, %lib_name_orig
#Obsoletes: libalsa1
#Provides: libalsa1
BuildRequires: doxygen
Requires:	%{lib_name_orig}-data

%description
Advanced Linux Sound Architecture (ALSA) is a modularized architecture which
supports quite a large range of ISA and PCI cards.
It's fully compatible with old OSS drivers (either OSS/Lite, OSS/commercial).
To use the features of alsa, one can either use:
- the old OSS api
- the new ALSA api that provides many enhanced features.

Using the ALSA api requires to use the ALSA library.

%if "%{_lib}" != "lib"
%package -n %{lib_name}
Summary:	Advanced Linux Sound Architecture (ALSA) library
Group:		Sound
Requires:	kernel >= 2.4.18
Provides:	alsa-lib, %lib_name_orig = %version
Obsoletes:	alsa-lib, %lib_name_orig
Requires:	%{lib_name_orig}-data

%description -n %{lib_name}
Advanced Linux Sound Architecture (ALSA) is a modularized architecture which
supports quite a large range of ISA and PCI cards.
It's fully compatible with old OSS drivers (either OSS/Lite, OSS/commercial).
To use the features of alsa, one can either use:
- the old OSS api
- the new ALSA api that provides many enhanced features.

Using the ALSA api requires to use the ALSA library.
%endif

%package -n %{lib_name_orig}-data
Summary:    Config files for Advanced Linux Sound Architecture (ALSA)
Group:      Sound
Requires:   %lib_name = %epoch:%version

%description -n %{lib_name_orig}-data
Advanced Linux Sound Architecture (ALSA) is a modularized architecture which
supports quite a large range of ISA and PCI cards.
It's fully compatible with old OSS drivers (either OSS/Lite, OSS/commercial).
To use the features of alsa, one can either use:
- the old OSS api
- the new ALSA api that provides many enhanced features.

This package contains config files by ALSA applications.

%package -n %{lib_name}-devel
Summary:    Development files for Advanced Linux Sound Architecture (ALSA)
Group:      Development/C
Requires:   %lib_name = %epoch:%version
Provides:   libalsa1-devel alsa-lib-devel, %lib_name_orig-devel = %version-%release
Obsoletes:  libalsa1-devel alsa-lib-devel, %lib_name_orig-devel

%description -n %{lib_name}-devel
Advanced Linux Sound Architecture (ALSA) is a modularized architecture which
supports quite a large range of ISA and PCI cards.
It's fully compatible with old OSS drivers (either OSS/Lite, OSS/commercial).
To use the features of alsa, one can either use:
- the old OSS api
- the new ALSA api that provides many enhanced features.

This package contains files needed in order to develop an application
that made use of ALSA.

%package -n %{lib_name}-static-devel
Summary:    Static libraries for Advanced Linux Sound Architecture (ALSA)
Group:      Development/C
Requires:   %{lib_name}-devel = %epoch:%version
Provides:   %{lib_name_orig}-static-devel = %version-%release
%description -n %{lib_name}-static-devel
Static libraries required for statically compiling packages needing the
ALSA libasound library.

%package docs
Summary:    Documentation for Advanced Linux Sound Architecture (ALSA)
Group:      Books/Howtos
Requires:   %lib_name = %epoch:%version
%description docs
Advanced Linux Sound Architecture (ALSA) is a modularized architecture which
supports quite a large range of ISA and PCI cards.
It's fully compatible with old OSS drivers (either OSS/Lite, OSS/commercial).
To use the features of alsa, one can either use:
- the old OSS api
- the new ALSA api that provides many enhanced features.

The Advanced Linux Sound Architecture comes with a kernel API and library API.
This document describes the library API and how it interfaces with the kernel
API. Application programmers should use the library API rather than kernel API.

The Library offers 100% of the functionally of the kernel API, but add next
major improvements in usability, making the application code simpler and better
looking.

This package contains the documentation that describe tha ALSA lib API.


%prep
%setup -q -n %fname

%build
%configure2_5x --enable-shared --enable-static
# Force definition of -DPIC so that VERSIONED_SYMBOLS are used
# FIXME: alsa people should not depend on PIC to determine a DSO build...
perl -pi -e 's,(^pic_flag=.+)(-fPIC),\1-DPIC \2,' libtool

make CFLAGS="$RPM_OPT_FLAGS"
make -C doc doc

%install
mkdir -p $RPM_BUILD_ROOT%_includedir/sys
mkdir -p $RPM_BUILD_ROOT%_libdir
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %lib_name -p /sbin/ldconfig
%postun -n %lib_name -p /sbin/ldconfig

%files -n %{lib_name_orig}-data
%defattr(-, root, root)
%doc COPYING
%dir %_datadir/alsa/
%dir %_datadir/alsa/cards/
%dir %_datadir/alsa/pcm/
%_datadir/alsa/cards/*
%_datadir/alsa/pcm/*
%_datadir/alsa/alsa.conf
%_datadir/alsa/sndo-mixer.alisp

%files -n %{lib_name}
%defattr(-, root, root)
%doc COPYING 
%_libdir/*.so.*
%dir %_libdir/alsa-lib/smixer/
%_libdir/alsa-lib/smixer/*

%files docs
%defattr(-,root,root)
%doc COPYING doc/doxygen/html/* doc/asoundrc.txt

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc COPYING
%dir %_includedir/alsa/
%_includedir/alsa/*
%_includedir/sys/asoundlib.h
%_datadir/aclocal/alsa.m4
%_libdir/*.la
%_libdir/*.so
%_libdir/pkgconfig/*.pc
%_bindir/*

%files -n %{lib_name}-static-devel
%defattr(-,root,root)
%doc COPYING
%_libdir/*.a

%changelog
* Wed Aug 23 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.12-2mdv2007.0
- new release

* Fri Aug 04 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.12-1.rc2.2mdv2007.0
- new release
- clean spec

* Sun Jul 23 2006 Emmanuel Andry <eandry@mandriva.org> 1.0.12rc1-1mdv2007.0
- new release
- drop patches (applied upstream)

* Wed May 17 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.11-3mdk
- drop kernel require

* Wed May 03 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.11-2mdk
- patch 5: fix segfault with dshare plugin
- patch 6: use O_APPEND mode with dmix & co (no more resource server)
- patch 7: fix hwptr update in rate plugin (bad sounds on rate expansion and
  invalid memory access)

* Wed May 03 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.11-1mdk
- new release
- kill patches 0, 1, 2, 3 & 4 (merged upstream)

* Thu Feb 09 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.10-6mdk
- patch 4: plug some memory leaks

* Wed Jan 04 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.10-5mdk
- patch 3: use dmix/dsnoop as default PCM for ICE1712

* Wed Dec 14 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.0.10-4mdk
- patch 2: use dmix/dsnoop as default PCM for ICE1724
- really apply patches 0 & 1

* Wed Nov 23 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.0.10-3mdk
- patch 1: fix segfault of iec958 plugin with preamble

* Mon Nov 21 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.0.10-2mdk
- patch 0: fix hanging in some rare case

* Tue Nov 15 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.0.10-1mdk
- new release

* Fri Nov 04 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.0.10-0.rc3.1mdk
- new release

* Thu Nov 03 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.0.10-0.rc2.1mdk
- new release

* Fri May 27 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-1mdk
- new release

* Mon May 23 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-0.1rc4.1mdk
- new release
- kill patch 0 (merged upstream)

* Tue May 17 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-0.1rc3.3mdk
- patch 0:
  o add API for device name
  o fix the drain of dmix plugin without any data
  o fix the blocking during draining in dmix plugin due to ioctl conflicts
  o fix the partial commit in draining with rate plugin
  o fix playback start with sync_ptr mode
  o fix the possible problems of playback drain with rate plugin
  o misc other fixes

* Wed May 11 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-0.1rc3.2mdk
- build release

* Mon May 09 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-0.1rc3.1mdk
- new release
- kill patches 15 & 18 (merged upstream)

* Tue Apr 26 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-0.1rc2.3mdk
- fix release number

* Tue Apr 26 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-0.1rc2.2mdkmdk
- patch 15: more fixes for CPU hog (eg: artsd)

* Fri Apr 15 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-0.1rc2.1mdkmdk
- new release
- remove patches 0, 1, 2, 4, 5, 6, 7, 9, 10, 11, 12, 13, 16 & 17 (merged upstream)
- patch 15:
  o try even harder to prevent artsd to bug
  o merge in patch 14
- patch 18: fix segfault with old kernels

* Thu Mar 31 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-15mdk
- patch 15: try harder to prevent artsd to bug
- disable patches 13, 14 & 15 since artsd still break from times to times
- patch 16: fix segfault while recording on Audigy LS

* Tue Mar 29 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-14mdk
- patch 1: use dmix/dsnoop plugins as default for emu10k1x too
- patch 14: new version that fix noise with dmix on SMP/HT systems with i8xx
  (#13400, alsa bug #881)
- patch 15: fix artsd eating all CPU power on i865
- patch 16: fix noise when resampling sound (ALSA bug #1018)
- patch 17: fix dmix's endianess on ppc & co (#14958)

* Fri Mar 25 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-13mdk
- disable patch 14 since it triger artsd bugs on i865

* Thu Mar 24 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-12mdk
- patch 9: fix rear/center_lfe subdevice mismatch on Aureon71 (Envy24HT)
- patch 10: fix AC3 output on SB Audigy LS / Live 24bit
- patch 11: add support for CMI8768 chip with 8 multi-channel
- patch 12: fix SPDIF device number on Intel HD Audio (Azalia)
- patch 13: use softvol plugin for default PCM for C-Media codecs on VIA823[37]
- patch 14: fix noise with dmix on SMP/HT systems with i8xx (#13400) 

* Wed Mar 23 2005 Stefan van der Eijk <stefan@eijk.nu> 1:1.0.8-11mdk
- add missing dependency to "%%{_lib}" != "lib" packages

* Mon Mar 21 2005 Stefan van der Eijk <stefan@eijk.nu> 1:1.0.8-10mdk
- use %%if "%%{_lib}" != "lib" instead of ifarch (GB)

* Sun Mar 20 2005 Stefan van der Eijk <stefan@eijk.nu> 1:1.0.8-9mdk
- fix files (spturtle)

* Sun Mar 20 2005 Stefan van der Eijk <stefan@eijk.nu> 1:1.0.8-8mdk
- don't use %%lib_name macro in name --> src.rpm confusion
- use the %mkrel macro

* Wed Feb 16 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-7mdk
- patch 7: fix xine crash (#13045, #13449)

* Wed Feb 16 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-6mdk
- patch 5: fix rear PCM (mono output) on emu10k1
- patch 6: fix routing of 5.1 output on ICH4

* Mon Feb 14 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-5mdk
- patch 4: fix statck protection patch

* Tue Feb 01 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-4mdk
- patch 2: fix compil warning (fedora)
- patch 4: stack protection (CAN-2005-0087) (fedora)

* Tue Feb 01 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-3mdk
- patch 1: use dmix by default

* Thu Jan 13 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-2mdk
- patch 0: fix memleak

* Thu Jan 13 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-1mdk
- new release

* Wed Jan 05 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-0.rc2.2mdk
- rpmlint cleanups

* Wed Jan 05 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-0.rc2.1mdk
- new release

* Mon Dec 27 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.0.8-0.rc1.2mdk
- fix missing epoch in requires

* Wed Dec 22 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-0.rc1.1mdk
- new release

* Fri Nov 19 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.7-1mdk
- new release

* Mon Aug 16 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.6-1mdk
- new release

* Wed Aug 04 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.6-0.rc1.1mdk
- new release

* Wed Jul  7 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.5-2mdk
- Force definition of -DPIC so that VERSIONED_SYMBOLS are used. aka
  fix alsa dependent packages (arts, etc.). Anyway, alsa people should
  not rely on this variable to determine a DSO build.

* Fri May 28 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.5-1mdk
- new release

* Mon Apr 05 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.4-1mdk
- new release

* Fri Apr 02 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.4-0.rc1_2mdk
- fix forgotten changelog

* Thu Apr  1 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.4-0.rc1_1mdk
- new release

* Tue Feb 24 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.2-3mdk
- fix unstallable packages

* Wed Jan 28 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.2-2mdk
- new old release (alsa team reuploaded 1.0.2 tarballs with some fixes but
  without any note)

* Mon Jan 26 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.2-1mdk
- new release

* Thu Jan 08 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.1-1mdk
- new release

* Mon Dec 22 2003 Stefan van der Eijk <stefan@eijk.nu> 1.0.0-0.4rc2mdk
- rebuild for new pkgconfig Requires

* Mon Dec 15 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.0-0.3rc2mdk
- new release

* Mon Dec 01 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.0-0.2rc1mdk
- quote changelog

* Mon Dec 01 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.0-0.1rc1mdk
- new release
- do not remember the following when rebuilding old apps:
  \#define ALSA_PCM_OLD_HW_PARAMS_API
  \#define ALSA_PCM_OLD_SW_PARAMS_API
  \#include <alsa/asoundlib.h>

* Fri Nov  7 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.9.8-2mdk
- Fix Titi's mismerged package... aka fix -static-devel Provides

* Thu Nov 06 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.8-1mdk
- new release

* Mon Sep 08 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.9.6-3mdk
- Added missed devel-static libraries.

* Sun Aug 17 2003 Austin Acton <aacton@yorku.ca> 0.9.6-2mdk
- don't require kernel 2.4.22 so we can install on klama (grrr...)

* Sun Aug 17 2003 Austin Acton <aacton@yorku.ca> 0.9.6-1mdk
- 0.9.6
- requires kernel 2.4.22

* Thu Jul 10 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.5-1mdk
- new release

* Tue Jul 08 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.4-2mdk
- rebuild for devel (deps) [0.9.5 will follow as soon as cvs is officially
  tarballed]

* Mon Jul 07 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.4-1mdk
- new release (needed to suppot latest 2.5.7x kernels)

* Sat May 24 2003 Stefan van der Eijk <stefan@eijk.nu> 0.9.2-5mdk
- rebuild for new deps

* Tue Apr 29 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.2-4mdk
- ease update from previous distro releases

* Mon Apr 14 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.2-3mdk
- make it %%mklibname aware

* Fri Apr 04 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.2-2mdk
- fix aserver naming
- remove obsolte ChangeLog from doc

* Tue Apr 01 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.2-1mdk
- new release

* Wed Feb 19 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.14rc7mdk
- fix obsoletes

* Mon Feb 17 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.13rc7mdk
- build release for latest kernel headers

* Mon Feb 10 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.12rc7mdk
- new release

* Thu Jan 02 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.11rc6mdk
- build release

* Tue Nov 26 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.10rc6mdk
- new rc

* Wed Nov 13 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.9rc5mdk
- rc 5
- added %_libdir/pkgconfig/*.pc to correct rebuild problem under rpm 4.1
  (Kenton Groombridge)

* Sun Aug  4 2002 Stefan van der Eijk <stefan@eijk.nu> 0.9.0-0.8rc2mdk
- libalsa-data doesn't have to provides libalsa-devel
- change Group & Summary of libalsa-data

* Tue Jul 30 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.7rc2mdk
- libalsa-data doesn't have to provides libalsa-devel (spotted by Stefan van
  der Eijk)

* Thu Jul 18 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.6rc2mdk
- alsa-0.9.0 RC 2
- move data files into main lib package so that alsa aware progs dont't neeed
  libalsa2-devel in order to work

* Mon Apr 29 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.5rc1mdk
- change group to sound
- put commented infrastructures in order to obsolets libalsa1 as soon as
  all packages get rebuild

* Wed Apr 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.4rc1mdk
- update to alsa-0.9.0 release candidate 1

* Thu Apr 18 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.3beta12mdk
- the current (0.9.0beta12) OPL4 detection only works the first time after a
  cold boot.
  we now test whether the NEW2 bit can be set. (The OPL4 manual says the
  register cannot be read, but the chip designers did not read the manual. :-) 
-  The AD1848K is detected as CMI8330 because the chip ID register has the same
   value (0x0a) in both chips.
   The patch changes the detection code to test whether the CMI8830's MODE2 bit
   does enable the extended registers 0x10..0x1f. 

* Wed Apr 17 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.3beta12mdk
- build docs
- add docs package
- BuildRequires: doxygen (for doc)
- enhance the descriptions & the summaries
- spec clean
- remove some old commented stuff

* Tue Apr 16 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.2beta12mdk
- add missing files that libalsa1 hadn't

* Mon Apr 15 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.1beta12mdk
- initial release of libalsa2 from libalsa1 template

* Fri Sep 28 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.5.10-3mdk
- Split-up librariries.
- Fix rpmlint errors.

* Wed Dec 13 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 0.5.10-2mdk
- Remove ExcludeArch, ALSA is portable

* Thu Dec  7 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.5.10-1mdk
- 0.5.10.

* Thu Oct 24 2000 David BAUDENS <baudens@mandrakesoft.com> 0.5.9-2mdk
- ExcludeArch: ppc
- Fix typo in description

* Wed Aug 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.5.9-1mdk
- 0.5.9.

* Sun Aug 13 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5.8-3mdk
- added .so file to the devel package
  reported by Stefan van der Eijk <s.vandereijk@chello.nl>
- macroswergwerjations

* Wed Jul 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.5.8-2mdk
- BM.

* Tue Jun 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.5.8-1mdk
- 0.5.8.
- macrozifications.

* Fri May 19 2000 Francis Galiegue <fg@mandrakesoft.com> 0.5.7-6mdk
- ExcludeArch sparcs too

* Wed May 17 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.5.7-5mdk
- ExcludeArch: alpha

* Sun Apr 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.5.7-4mdk
- Clean up various titi-sucks.
- 0.5.7.
- Split lib and devel package.

* Thu Apr 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5.5-3mdk
- fixed group

* Thu Mar 09 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>
- add requires on alsa since Lord DrkChm has splitten it again from kernel

* Thu Mar 09 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>
- make the alsa-lib package again, hoping Lord DarkChmou won't want to move it
  betwenn contrib and main cd and loose it again :-)
- update to alsa-lib-0.5.5


* Thu Dec 23 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- build release for Oxygen as lord Chmou request
- removed from contrib
- alter requires from alsa-driver to kernel as Lord Chmou integrate it into the
  mainstream kernel
- Updated to 0.4.1e

* Mon Aug 23 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
  - initial release
